Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Interface OpenJPAConfiguration

All Superinterfaces:
  BeanInfo, Cloneable, Closeable, Configuration, Serializable

All Known Subinterfaces:
  JDBCConfiguration

All Known Implementing Classes:
  JDBCConfigurationImpl, OpenJPAConfigurationImpl, XMLConfiguration

    public interface OpenJPAConfiguration

extends Configuration

Defines the properties necessary to configure runtime properties and connect to a data source. There is a 1-1 relation between a configuration and a `BrokerFactory`. All setter methods that take primitive parameters also have wrapper setter with the appropriate primitive wrapper. This is so the interface can be in accordance with the J2EE Connector Architecture.

Author:
  Marc Prud'hommeaux, Abe White
See Also:
  `Configuration`

Field Summary
`static String` | `LOG_DATACACHE` Name of logger for messages from the data cache: `openjpa.DataCache`.
`static String` | `LOG_ENHANCE` Name of logger for enhancement-related messages: `openjpa.Enhance`.
`static String` | `LOG_METADATA` Name of logger for metadata-related messages: `openjpa.MetaData`.
`static String` | `LOG_QUERY` Name of logger for query logging: `openjpa.Query`.
`static String` | `LOG_RUNTIME` Name of logger for messages from the runtime system: `openjpa.Runtime`.
`static String` | `LOG_TOOL` Name of logger for messages from the development tools: `openjpa.Tool`.
`static String` | `OPTION_DATASTORE_CONNECTION` Option for runtimes that support returning the datastore connection.
`static String` | `OPTION_EMBEDDED_COLLECTION_RELATION` Option for runtimes that support collections of embedded relations to other persistence capable objects.
`static String` | `OPTION_EMBEDDED_MAP_RELATION` Option for runtimes that support maps of embedded relations to other persistence capable objects.
`static String` | `OPTION_EMBEDDED_RELATION` Option for runtimes that support embedded relations to other persistence capable objects.
`static String` | `OPTION_ID_APPLICATION` Option for runtimes that support application identity.
`static String` | `OPTION_ID_DATASTORE` Option for runtimes that support application identity.
`static String` | `OPTION_INC_FLUSH` Option for runtimes that support incremental flushing.
`static String` | `OPTION_JDBC_CONNECTION` Option for runtimes that support returning the datastore connection that is a JDBC Connection.
`static String` | `OPTION_NONTRANS_READ` Option for runtimes that support nontransactional reads.
`static String` | `OPTION_NULL_CONTAINER` Option for runtime that can differentiate between null and empty container fields.
`static String` | `OPTION_OPTIMISTIC` Option for runtimes that support optimistic transactions.
`static String` | `OPTION_QUERY_SQL` Option for SQL support.
`static String` | `OPTION_TYPE_ARRAY` Option for runtimes that support persistent array fields.
`static String` | `OPTION_TYPE_COLLECTION` Option for runtimes that support persistent collection fields.
`static String` | `OPTION_TYPE_MAP` Option for runtimes that support persistent map fields.
`static String` | `OPTION_VALUE_AUTOASSIGN` Option for runtimes that the autoassign value strategy.
`static String` | `OPTION_VALUE_INCREMENT` Option for runtimes that the increment value strategy.

Fields inherited from interface org.apache.openjpa.lib.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_CATEGORY, ATTRIBUTE_INTERFACE, ATTRIBUTE_ORDER, ATTRIBUTE_TYPE, ATTRIBUTE_XML`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Method Summary
`AggregateListener[]` | `getAggregateListenerInstances()` Return the query function listeners.
`String` | `getAggregateListeners()` A comma-separted list of the plugin strings of the query `AggregateListener`s to use.
`String` | `getAutoClear()` Whether instances clear their state when entering a transaction.
`int` | `getAutoClearConstant()` Return the `AutoClear` constant.
`String` | `getAutoDetach()` A comma-separated list of events which trigger auto-detachment in place of managed states.
`int` | `getAutoDetachConstant()` The `AutoDetach` flags.
`String` | `getBrokerFactory()` The `BrokerFactory` class to use.
`String` | `getBrokerImpl()` The plugin string of the `BrokerImpl` extension to create.
`String` | `getClassResolver()` The plugin string for the `ClassResolver` to use for custom class loading.
`ClassResolver` | `getClassResolverInstance()` The `ClassResolver` to use.
`String` | `getCompatibility()` Backwards compatibility options.
`Compatibility` | `getCompatibilityInstance()` Backwards compatibility options.
`String` | `getConnection2DriverName()` Class name of the non-XA connection driver.
`String` | `getConnection2Password()` The password for the non-XA data store connection.
`String` | `getConnection2Properties()` These properties provide any additional information needed to establish non-XA connections.
`String` | `getConnection2URL()` The URL for the non-XA data store connection.
`String` | `getConnection2UserName()` The user name for the non-XA data store connection.
`String` | `getConnectionDriverName()` Class name of the connection driver.
`Object` | `getConnectionFactory()` The connection factory, possibly from JNDI.
`Object` | `getConnectionFactory2()` The non-XA connection factory.
`String` | `getConnectionFactory2Name()` The name for the second data store connection factory.
`String` | `getConnectionFactory2Properties()` Configuration properties for the non-XA connection factory.
`String` | `getConnectionFactoryMode()` The mode of the connection factory in use.
`String` | `getConnectionFactoryName()` The name for the data store connection factory.
`String` | `getConnectionFactoryProperties()` Configuration properties for the connection factory.
`String` | `getConnectionPassword()` The password for the data store connection.
`String` | `getConnectionProperties()` These properties provide any additional information needed to establish connections.
`String` | `getConnectionRetainMode()` Specifies the behavior of the broker with respect to data store connections.
`int` | `getConnectionRetainModeConstant()` Return the connection retain mode as one of the following symbolic constants: `ConnectionRetainModes.CONN_RETAIN_ALWAYS` `ConnectionRetainModes.CONN_RETAIN_TRANS` `ConnectionRetainModes.CONN_RETAIN_DEMAND`
`String` | `getConnectionURL()` The URL for the data store connection.
`String` | `getConnectionUserName()` The user name for the data store connection.
`String` | `getDataCache()` The `DataCache` to use for level-2 data store caching.
`String` | `getDataCacheManager()` The data cache manager manages this configuration's cache instances.
`DataCacheManager` | `getDataCacheManagerInstance()` The data cache manager manages this configuration's cache instances.
`int` | `getDataCacheTimeout()` Default data cache timeout.
`DetachOptions` | `getDetachStateInstance()` Return the instance specified by the detach state plugin.
`boolean` | `getDynamicDataStructs()` Return whether to generate dynamic data structures where possible for cache and runtime usage.
`int` | `getFetchBatchSize()` Get the size of the batch that will be pre-selected when accessing elements in a query or relationship.
`String` | `getFetchGroups()` Comma-separated list of fetch group names that will be pre-set for all new `FetchConfiguration`s.
`String[]` | `getFetchGroupsList()` List of fetch group names that will be pre-set for all new `FetchConfiguration`s.
`FilterListener[]` | `getFilterListenerInstances()` Return the query filter listeners.
`String` | `getFilterListeners()` A comma-separted list of the plugin strings of the query `FilterListener`s to use.
`String` | `getFlushBeforeQueries()` Returns whether or not OpenJPA should automatically flush modifications to the data store before executing queries.
`int` | `getFlushBeforeQueriesConstant()` Returns one of `QueryFlushModes.FLUSH_TRUE`, `QueryFlushModes.FLUSH_FALSE`, or `QueryFlushModes.FLUSH_WITH_CONNECTION`, as determined by parsing the string returned by `getFlushBeforeQueries()`.
`boolean` | `getIgnoreChanges()` Whether changes in the current transaction are taken into account when executing queries and iterating extents.
`String` | `getInverseManager()` The plugin to use for managing inverse relations.
`String` | `getLockManager()` The plugin to use for datastore lock management.
`int` | `getLockTimeout()` The time to wait for an object lock in milliseconds, or -1 for no timeout.
`String` | `getManagedRuntime()` The plugin string for the `ManagedRuntime` to use for managed environments.
`ManagedRuntime` | `getManagedRuntimeInstance()` The plugin to use for integrating with a managed runtime.
`String` | `getMapping()` The name mapping to use for this data store.
`int` | `getMaxFetchDepth()` The maximum relation depth to traverse when eager fetching.
`String` | `getMetaDataFactory()` A plugin string describing the `MetaDataFactory` to use.
`String` | `getMetaDataRepository()` A plugin string describing the `MetaDataRepository` to use.
`MetaDataRepository` | `getMetaDataRepositoryInstance()` The metadata repository of managed class information.
`boolean` | `getMultithreaded()` Whether brokers or their managed objects will be used by multiple concurrent threads.
`boolean` | `getNontransactionalRead()` Whether persistent state is accessible outside a transaction by default.
`boolean` | `getNontransactionalWrite()` Whether persistent state can be modified outside a transaction by default.
`boolean` | `getOptimistic()` Whether to use optimistic transactions by default.
`String` | `getOrphanedKeyAction()` The action to take when an orphaned key is detected.
`OrphanedKeyAction` | `getOrphanedKeyActionInstance()` The action to take when an orphaned key is detected.
`String` | `getProxyManager()` The plugin string for the `ProxyManager` to use for second class object proxies.
`ProxyManager` | `getProxyManagerInstance()` The `ProxyManager` to use.
`String` | `getQueryCache()` The plugin to use for level-2 data store query caching.
`String` | `getReadLockLevel()` The default read lock level to use during non-optimistic transactions.
`int` | `getReadLockLevelConstant()` The numeric read lock level.
`RemoteCommitEventManager` | `getRemoteCommitEventManager()` The remote event manager that manages this configuration's remote event listeners.
`String` | `getRemoteCommitProvider()` The plugin to use for remote commit notification.
`String` | `getRestoreState()` Whether to restore initial state on rollback by default.
`int` | `getRestoreStateConstant()` Return the `RestoreState` constant.
`boolean` | `getRetainState()` Whether to retain state after a transaction by default.
`boolean` | `getRetryClassRegistration()` Whether to warn and defer registration instead of throwing an exception when a registered persistent class cannot be processed.
`String` | `getSavepointManager()` The plugin to use for savepoint management.
`SavepointManager` | `getSavepointManagerInstance()` Return the configured savepoint manager instance.
`String` | `getSequence()` Plugin string for the default system `Seq`.
`Seq` | `getSequenceInstance()` The default system sequence.
`String` | `getSpecification()` A configuration can be set with defaults for a specific specification.
`StoreFacadeTypeRegistry` | `getStoreFacadeTypeRegistry()` Return the `StoreFacadeTypeRegistry` instance associated with this configuration.
`String` | `getTransactionMode()` Specifies the behavior of the transaction model.
`String` | `getWriteLockLevel()` The default write lock level to use during non-optimistic transactions.
`int` | `getWriteLockLevelConstant()` The numeric write lock level.
`boolean` | `isConnectionFactoryModeManaged()` Whether connections are automatically enlisted in global transactions.
`boolean` | `isTransactionModeManaged()` Return whether managed transactions are being used.
`BrokerImpl` | `newBrokerInstance(String user, String pass)` Create a new broker instance with the configured plugin data.
`InverseManager` | `newInverseManagerInstance()` Return a new inverse manager instance using the configured plugin settings.
`LockManager` | `newLockManagerInstance()` Return a new lock manager instance using the configured plugin settings.
`MetaDataFactory` | `newMetaDataFactoryInstance()` Create a new `MetaDataFactory` to use with a repository.
`MetaDataRepository` | `newMetaDataRepositoryInstance()` Create a new empty metadata repository of the configured type.
`RemoteCommitProvider` | `newRemoteCommitProviderInstance()` Create a remote commit provider from the configured plugin.
`void` | `setAggregateListeners(AggregateListener[] listeners)` Set the query function listeners.
`void` | `setAggregateListeners(String listeners)` A comma-separted list of the plugin strings of the query `AggregateListener`s to use.
`void` | `setAutoClear(int clear)` Whether instances clear their state when entering a transaction.
`void` | `setAutoClear(String clear)` Whether instances clear their state when entering a transaction.
`void` | `setAutoDetach(int flags)` The `AutoDetach` flags.
`void` | `setAutoDetach(String detach)` A comma-separated list of events which trigger auto-detachment in place of managed states.
`void` | `setBrokerFactory(String factory)` The `BrokerFactory` class to use.
`void` | `setBrokerImpl(String broker)` The plugin string of the `BrokerImpl` extension to create.
`void` | `setClassResolver(ClassResolver classResolver)` The `ClassResolver` to use.
`void` | `setClassResolver(String classResolver)` The plugin string for the `ClassResolver` to use for custom class loading.
`void` | `setCompatibility(String compatibility)` Backwards compatibility options.
`void` | `setConnection2DriverName(String driverName)` Class name of the non-XA connection driver.
`void` | `setConnection2Password(String connectionPassword)` The password for the non-XA data store connection.
`void` | `setConnection2Properties(String props)` These properties provide any additional information needed to establish non-XA connections.
`void` | `setConnection2URL(String connectionURL)` The URL for the non-XA data store connection.
`void` | `setConnection2UserName(String connectionUserName)` The user name for the non-XA data store connection.
`void` | `setConnectionDriverName(String driverName)` Class name of the connection driver.
`void` | `setConnectionFactory(Object factory)` The connection factory.
`void` | `setConnectionFactory2(Object factory)` The non-XA connection factory.
`void` | `setConnectionFactory2Name(String cf2Name)` The name for the second data store connection factory.
`void` | `setConnectionFactory2Properties(String props)` Configuration properties for the non-XA connection factory.
`void` | `setConnectionFactoryMode(String mode)` The mode of the connection factory in use.
`void` | `setConnectionFactoryModeManaged(boolean managed)` Whether connections are automatically enlisted in global transactions.
`void` | `setConnectionFactoryName(String cfName)` The name for the data store connection factory.
`void` | `setConnectionFactoryProperties(String props)` Configuration properties for the connection factory.
`void` | `setConnectionPassword(String connectionPassword)` The password for the data store connection.
`void` | `setConnectionProperties(String props)` These properties provide any additional information needed to establish connections.
`void` | `setConnectionRetainMode(int mode)` Set the connection retain mode as one of the following symbolic constants: `ConnectionRetainModes.CONN_RETAIN_ALWAYS` `ConnectionRetainModes.CONN_RETAIN_TRANS` `ConnectionRetainModes.CONN_RETAIN_DEMAND`
`void` | `setConnectionRetainMode(String mode)` Specifies the behavior of the broker with respect to data store connections.
`void` | `setConnectionURL(String connectionURL)` The URL for the data store connection.
`void` | `setConnectionUserName(String connectionUserName)` The user name for the data store connection.
`void` | `setDataCache(String dataCache)` The `DataCache` to use for level-2 data store caching.
`void` | `setDataCacheManager(DataCacheManager manager)` The data cache manager manages this configuration's cache instances.
`void` | `setDataCacheManager(String mgr)` The data cache manager manages this configuration's cache instances.
`void` | `setDataCacheTimeout(int timeout)` Default data cache timeout.
`void` | `setDataCacheTimeout(Integer timeout)` Wrapper for JCA usage of `setDataCacheTimeout(int)`.
`void` | `setDetachState(DetachOptions detachState)` Return the instance specified by the detach state plugin.
`void` | `setDetachState(String detachState)` Which field values to include when detaching.
`void` | `setDynamicDataStructs(boolean dynamic)` Set whether to generate dynamic data structures where possible for cache and runtime usage.
`void` | `setDynamicDataStructs(Boolean dynamic)` Wrapper for JCA usage of `setDynamicDataStructs(boolean)`.
`void` | `setFetchBatchSize(int size)` Set the size of the batch that will be pre-selected when accessing elements in a query or relationship.
`void` | `setFetchBatchSize(Integer size)` Wrapper for JCA usage of `setFetchBatchSize(int)`.
`void` | `setFetchGroups(String groups)` Comma-separated list of fetch group names that will be pre-set for all new `FetchConfiguration`s.
`void` | `setFetchGroups(String[] names)` List of fetch group names that will be pre-set for all new `FetchConfiguration`s.
`void` | `setFilterListeners(FilterListener[] listeners)` Set the query filter listeners.
`void` | `setFilterListeners(String listeners)` A comma-separted list of the plugin strings of the query `FilterListener`s to use.
`void` | `setFlushBeforeQueries(int flushBeforeQueries)` Set to one of `QueryFlushModes.FLUSH_TRUE`, `QueryFlushModes.FLUSH_FALSE`, or `QueryFlushModes.FLUSH_WITH_CONNECTION`.
`void` | `setFlushBeforeQueries(String flush)` Sets whether or not OpenJPA should automatically flush modifications to the data store before executing queries.
`void` | `setIgnoreChanges(boolean ignoreChanges)` Whether changes in the current transaction are taken into account when executing queries and iterating extents.
`void` | `setIgnoreChanges(Boolean ignoreChanges)` Wrapper for JCA usage of `setIgnoreChanges(boolean)`.
`void` | `setInverseManager(String inverse)` The plugin to use for managing inverse relations.
`void` | `setLockManager(String lockManager)` The plugin to use for datastore lock management.
`void` | `setLockTimeout(int timeout)` The time to wait for an object lock in milliseconds, or -1 for no timeout.
`void` | `setLockTimeout(Integer timeout)` Wrapper for JCA usage of `setLockTimeout(int)`.
`void` | `setManagedRuntime(ManagedRuntime runtime)` The plugin to use for integrating with a managed runtime.
`void` | `setManagedRuntime(String managedRuntime)` The plugin string for the `ManagedRuntime` to use for managed environments.
`void` | `setMapping(String mapping)` The name mapping to use for this data store.
`void` | `setMaxFetchDepth(int depth)` The maximum relation depth to traverse when eager fetching.
`void` | `setMaxFetchDepth(Integer size)` Wrapper for JCA usage of `setMaxFetchDepth(int)`.
`void` | `setMetaDataFactory(String meta)` A plugin string describing the `MetaDataFactory` to use.
`void` | `setMetaDataRepository(MetaDataRepository mdRepos)` The metadata repository of managed class information.
`void` | `setMetaDataRepository(String meta)` A plugin string describing the `MetaDataRepository` to use.
`void` | `setMultithreaded(boolean multithreaded)` Whether brokers or their managed objects will be used by multiple concurrent threads.
`void` | `setMultithreaded(Boolean multithreaded)` Wrapper for JCA usage of `setMultithreaded(boolean)`.
`void` | `setNontransactionalRead(boolean ntRead)` Whether persistent state is accessible outside a transaction by default.
`void` | `setNontransactionalRead(Boolean ntRead)` Wrapper for JCA usage of `setNontransactionalRead(boolean)`.
`void` | `setNontransactionalWrite(boolean ntWrite)` Whether persistent state can be modified outside a transaction by default.
`void` | `setNontransactionalWrite(Boolean ntWrite)` Wrapper for JCA usage of `setNontransactionalWrite(boolean)`.
`void` | `setOptimistic(boolean optimistic)` Whether to use optimistic transactions by default.
`void` | `setOptimistic(Boolean optimistic)` Wrapper for JCA usage of `setOptimistic(boolean)`.
`void` | `setOrphanedKeyAction(OrphanedKeyAction action)` The action to take when an orphaned key is detected.
`void` | `setOrphanedKeyAction(String action)` The action to take when an orphaned key is detected.
`void` | `setProxyManager(ProxyManager manager)` The `ProxyManager` to use.
`void` | `setProxyManager(String proxyManager)` The plugin string for the `ProxyManager` to use for second class object proxies.
`void` | `setQueryCache(String queryCache)` The plugin to use for level-2 data store query caching.
`void` | `setReadLockLevel(int level)` The numeric read lock level.
`void` | `setReadLockLevel(String level)` The default read lock level to use during non-optimistic transactions.
`void` | `setRemoteCommitEventManager(RemoteCommitEventManager manager)` The remote event manager that manages this configuration's remote event listeners.
`void` | `setRemoteCommitProvider(String remoteCommitProvider)` The plugin to use for remote commit notification.
`void` | `setRestoreState(int restoreState)` Whether to restore initial state on rollback by default.
`void` | `setRestoreState(String restoreState)` Whether to restore initial state on rollback by default.
`void` | `setRetainState(boolean retainState)` Whether to retain state after a transaction by default.
`void` | `setRetainState(Boolean retainState)` Wrapper for JCA usage of `setRetainState(boolean)`.
`void` | `setRetryClassRegistration(boolean warn)` Whether to warn and defer registration instead of throwing an exception when a registered persistent class cannot be processed.
`void` | `setRetryClassRegistration(Boolean warn)` Wrapper for JCA usage of `setRetryClassRegistration(boolean)`.
`void` | `setSavepointManager(String savepointManager)` The plugin to use for savepoint management.
`void` | `setSequence(Seq sequence)` The default system sequence.
`void` | `setSequence(String sequence)` Plugin string for the default system `Seq`.
`boolean` | `setSpecification(String spec)` Set the specification that this configuration should use for the various properties that need to have different defaults for different spec environments.
`void` | `setTransactionMode(String mode)` Specifies the behavior of the transaction model.
`void` | `setTransactionModeManaged(boolean managed)` Set whether managed transactions are being used.
`void` | `setWriteLockLevel(int level)` The numeric write lock level.
`void` | `setWriteLockLevel(String level)` The default write lock level to use during non-optimistic transactions.
`Collection` | `supportedOptions()` Return the set of option strings supported by this runtime.

Methods inherited from interface org.apache.openjpa.lib.conf.Configuration
`addPropertyChangeListener, addValue, clone, close, fromProperties, getConfigurationLog, getLog, getLog, getLogFactory, getProductName, getValue, getValues, instantiateAll, isReadOnly, removePropertyChangeListener, removeValue, setLog, setLogFactory, setProductName, setReadOnly, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Field Detail

### LOG_METADATA

    static final String LOG_METADATA

  Name of logger for metadata-related messages: `openjpa.MetaData`.

  See Also:
    Constant Field Values

### LOG_ENHANCE

    static final String LOG_ENHANCE

  Name of logger for enhancement-related messages: `openjpa.Enhance`.

  See Also:
    Constant Field Values

### LOG_RUNTIME

    static final String LOG_RUNTIME

  Name of logger for messages from the runtime system: `openjpa.Runtime`.

  See Also:
    Constant Field Values

### LOG_QUERY

    static final String LOG_QUERY

  Name of logger for query logging: `openjpa.Query`.

  See Also:
    Constant Field Values

### LOG_DATACACHE

    static final String LOG_DATACACHE

  Name of logger for messages from the data cache: `openjpa.DataCache`.

  See Also:
    Constant Field Values

### LOG_TOOL

    static final String LOG_TOOL

  Name of logger for messages from the development tools: `openjpa.Tool`.

  See Also:
    Constant Field Values

### OPTION_NONTRANS_READ

    static final String OPTION_NONTRANS_READ

  Option for runtimes that support nontransactional reads.

  See Also:
    Constant Field Values

### OPTION_OPTIMISTIC

    static final String OPTION_OPTIMISTIC

  Option for runtimes that support optimistic transactions.

  See Also:
    Constant Field Values

### OPTION_ID_APPLICATION

    static final String OPTION_ID_APPLICATION

  Option for runtimes that support application identity.

  See Also:
    Constant Field Values

### OPTION_ID_DATASTORE

    static final String OPTION_ID_DATASTORE

  Option for runtimes that support application identity.

  See Also:
    Constant Field Values

### OPTION_QUERY_SQL

    static final String OPTION_QUERY_SQL

  Option for SQL support.

  See Also:
    Constant Field Values

### OPTION_TYPE_COLLECTION

    static final String OPTION_TYPE_COLLECTION

  Option for runtimes that support persistent collection fields.

  See Also:
    Constant Field Values

### OPTION_TYPE_MAP

    static final String OPTION_TYPE_MAP

  Option for runtimes that support persistent map fields.

  See Also:
    Constant Field Values

### OPTION_TYPE_ARRAY

    static final String OPTION_TYPE_ARRAY

  Option for runtimes that support persistent array fields.

  See Also:
    Constant Field Values

### OPTION_NULL_CONTAINER

    static final String OPTION_NULL_CONTAINER

  Option for runtime that can differentiate between null and empty container fields.

  See Also:
    Constant Field Values

### OPTION_EMBEDDED_RELATION

    static final String OPTION_EMBEDDED_RELATION

  Option for runtimes that support embedded relations to other persistence capable objects.

  See Also:
    Constant Field Values

### OPTION_EMBEDDED_COLLECTION_RELATION

    static final String OPTION_EMBEDDED_COLLECTION_RELATION

  Option for runtimes that support collections of embedded relations to other persistence capable objects.

  See Also:
    Constant Field Values

### OPTION_EMBEDDED_MAP_RELATION

    static final String OPTION_EMBEDDED_MAP_RELATION

  Option for runtimes that support maps of embedded relations to other persistence capable objects.

  See Also:
    Constant Field Values

### OPTION_INC_FLUSH

    static final String OPTION_INC_FLUSH

  Option for runtimes that support incremental flushing.

  See Also:
    Constant Field Values

### OPTION_VALUE_AUTOASSIGN

    static final String OPTION_VALUE_AUTOASSIGN

  Option for runtimes that the autoassign value strategy.

  See Also:
    Constant Field Values

### OPTION_VALUE_INCREMENT

    static final String OPTION_VALUE_INCREMENT

  Option for runtimes that the increment value strategy.

  See Also:
    Constant Field Values

### OPTION_DATASTORE_CONNECTION

    static final String OPTION_DATASTORE_CONNECTION

  Option for runtimes that support returning the datastore connection.

  See Also:
    Constant Field Values

### OPTION_JDBC_CONNECTION

    static final String OPTION_JDBC_CONNECTION

  Option for runtimes that support returning the datastore connection that is a JDBC Connection.

  See Also:
    Constant Field Values

Method Detail

### supportedOptions

    Collection supportedOptions()

  Return the set of option strings supported by this runtime. This set is mutable.

### getSpecification

    String getSpecification()

  A configuration can be set with defaults for a specific specification.

### setSpecification

    boolean setSpecification(String spec)

  Set the specification that this configuration should use for the various properties that need to have different defaults for different spec environments. This should be invoked before any configuration options are set, as it will mutate various values. You can only assign the specification once, though it is not fatal to attempt to do so multiple times. Attempts to set to null will be ignored.

### getClassResolver

    String getClassResolver()

  The plugin string for the `ClassResolver` to use for custom class loading.

### setClassResolver

    void setClassResolver(String classResolver)

  The plugin string for the `ClassResolver` to use for custom class loading.

### getClassResolverInstance

    ClassResolver getClassResolverInstance()

  The `ClassResolver` to use.

### setClassResolver

    void setClassResolver(ClassResolver classResolver)

  The `ClassResolver` to use.

### getBrokerFactory

    String getBrokerFactory()

  The `BrokerFactory` class to use.

### setBrokerFactory

    void setBrokerFactory(String factory)

  The `BrokerFactory` class to use.

### getBrokerImpl

    String getBrokerImpl()

  The plugin string of the `BrokerImpl` extension to create.

### setBrokerImpl

    void setBrokerImpl(String broker)

  The plugin string of the `BrokerImpl` extension to create.

### newBrokerInstance

    BrokerImpl newBrokerInstance(String user,
                                 String pass)

  Create a new broker instance with the configured plugin data.

### getDataCache

    String getDataCache()

  The `DataCache` to use for level-2 data store caching.

### setDataCache

    void setDataCache(String dataCache)

  The `DataCache` to use for level-2 data store caching.

### getDataCacheManager

    String getDataCacheManager()

  The data cache manager manages this configuration's cache instances.

### setDataCacheManager

    void setDataCacheManager(String mgr)

  The data cache manager manages this configuration's cache instances.

### getDataCacheManagerInstance

    DataCacheManager getDataCacheManagerInstance()

  The data cache manager manages this configuration's cache instances. The cache manager is created if it has not been set. Once the cache manager has been set/created, all changes to caching configuration must proceed through the cache manager.

  Since:
    0.3.0

### setDataCacheManager

    void setDataCacheManager(DataCacheManager manager)

  The data cache manager manages this configuration's cache instances.

  Since:
    0.3.0

### getDataCacheTimeout

    int getDataCacheTimeout()

  Default data cache timeout.

  Since:
    0.2.5

### setDataCacheTimeout

    void setDataCacheTimeout(int timeout)

  Default data cache timeout.

  Since:
    0.2.5

### setDataCacheTimeout

    void setDataCacheTimeout(Integer timeout)

  Wrapper for JCA usage of `setDataCacheTimeout(int)`.

  Since:
    0.2.5

### getQueryCache

    String getQueryCache()

  The plugin to use for level-2 data store query caching.

  Since:
    0.2.5

### setQueryCache

    void setQueryCache(String queryCache)

  The plugin to use for level-2 data store query caching.

  Since:
    0.2.5

### getDynamicDataStructs

    boolean getDynamicDataStructs()

  Return whether to generate dynamic data structures where possible for cache and runtime usage.

  Since:
    0.3.3

### setDynamicDataStructs

    void setDynamicDataStructs(boolean dynamic)

  Set whether to generate dynamic data structures where possible for cache and runtime usage.

  Since:
    0.3.3

### setDynamicDataStructs

    void setDynamicDataStructs(Boolean dynamic)

  Wrapper for JCA usage of `setDynamicDataStructs(boolean)`.

### getLockManager

    String getLockManager()

  The plugin to use for datastore lock management.

  Since:
    0.3.1

### setLockManager

    void setLockManager(String lockManager)

  The plugin to use for datastore lock management.

  Since:
    0.3.1

### newLockManagerInstance

    LockManager newLockManagerInstance()

  Return a new lock manager instance using the configured plugin settings.

### getInverseManager

    String getInverseManager()

  The plugin to use for managing inverse relations.

  Since:
    0.3.2

### setInverseManager

    void setInverseManager(String inverse)

  The plugin to use for managing inverse relations.

  Since:
    0.3.2

### newInverseManagerInstance

    InverseManager newInverseManagerInstance()

  Return a new inverse manager instance using the configured plugin settings.

  Since:
    0.3.2

### getSavepointManager

    String getSavepointManager()

  The plugin to use for savepoint management.

  Since:
    0.3.4

### setSavepointManager

    void setSavepointManager(String savepointManager)

  The plugin to use for savepoint management.

  Since:
    0.3.4

### getSavepointManagerInstance

    SavepointManager getSavepointManagerInstance()

  Return the configured savepoint manager instance.

### getOrphanedKeyAction

    String getOrphanedKeyAction()

  The action to take when an orphaned key is detected.

  Since:
    0.3.2.2

### setOrphanedKeyAction

    void setOrphanedKeyAction(String action)

  The action to take when an orphaned key is detected.

  Since:
    0.3.2.2

### getOrphanedKeyActionInstance

    OrphanedKeyAction getOrphanedKeyActionInstance()

  The action to take when an orphaned key is detected.

  Since:
    0.3.2.2

### setOrphanedKeyAction

    void setOrphanedKeyAction(OrphanedKeyAction action)

  The action to take when an orphaned key is detected.

  Since:
    0.3.2.2

### getRemoteCommitProvider

    String getRemoteCommitProvider()

  The plugin to use for remote commit notification.

  Since:
    0.2.5

### setRemoteCommitProvider

    void setRemoteCommitProvider(String remoteCommitProvider)

  The plugin to use for remote commit notification.

  Since:
    0.2.5

### newRemoteCommitProviderInstance

    RemoteCommitProvider newRemoteCommitProviderInstance()

  Create a remote commit provider from the configured plugin.

  Since:
    0.3.0

### getRemoteCommitEventManager

    RemoteCommitEventManager getRemoteCommitEventManager()

  The remote event manager that manages this configuration's remote event listeners.

  Since:
    0.3.0

### setRemoteCommitEventManager

    void setRemoteCommitEventManager(RemoteCommitEventManager manager)

  The remote event manager that manages this configuration's remote event listeners.

  Since:
    0.3.0

### getTransactionMode

    String getTransactionMode()

  Specifies the behavior of the transaction model. Possible values are:
  - `local`: Perform transaction operations locally.
  - `managed`: Use managed environment's global transactions.

  Since:
    0.2.5

### setTransactionMode

    void setTransactionMode(String mode)

  Specifies the behavior of the transaction model. Possible values are:
  - `local`: Perform transaction operations locally.
  - `managed`: Use managed environment's global transactions.

  Since:
    0.2.5

### isTransactionModeManaged

    boolean isTransactionModeManaged()

  Return whether managed transactions are being used.

### setTransactionModeManaged

    void setTransactionModeManaged(boolean managed)

  Set whether managed transactions are being used.

### getManagedRuntime

    String getManagedRuntime()

  The plugin string for the `ManagedRuntime` to use for managed environments.

### setManagedRuntime

    void setManagedRuntime(String managedRuntime)

  The plugin string for the `ManagedRuntime` to use for managed environments.

### getManagedRuntimeInstance

    ManagedRuntime getManagedRuntimeInstance()

  The plugin to use for integrating with a managed runtime.

### setManagedRuntime

    void setManagedRuntime(ManagedRuntime runtime)

  The plugin to use for integrating with a managed runtime.

### getProxyManager

    String getProxyManager()

  The plugin string for the `ProxyManager` to use for second class object proxies.

### setProxyManager

    void setProxyManager(String proxyManager)

  The plugin string for the `ProxyManager` to use for second class object proxies.

### getProxyManagerInstance

    ProxyManager getProxyManagerInstance()

  The `ProxyManager` to use.

### setProxyManager

    void setProxyManager(ProxyManager manager)

  The `ProxyManager` to use.

### getMapping

    String getMapping()

  The name mapping to use for this data store.

### setMapping

    void setMapping(String mapping)

  The name mapping to use for this data store.

### getMetaDataFactory

    String getMetaDataFactory()

  A plugin string describing the `MetaDataFactory` to use.

### setMetaDataFactory

    void setMetaDataFactory(String meta)

  A plugin string describing the `MetaDataFactory` to use.

### newMetaDataFactoryInstance

    MetaDataFactory newMetaDataFactoryInstance()

  Create a new `MetaDataFactory` to use with a repository.

### getMetaDataRepository

    String getMetaDataRepository()

  A plugin string describing the `MetaDataRepository` to use.

### setMetaDataRepository

    void setMetaDataRepository(String meta)

  A plugin string describing the `MetaDataRepository` to use.

### getMetaDataRepositoryInstance

    MetaDataRepository getMetaDataRepositoryInstance()

  The metadata repository of managed class information. If no repository has been set, creates one.

  Since:
    0.3.0

### newMetaDataRepositoryInstance

    MetaDataRepository newMetaDataRepositoryInstance()

  Create a new empty metadata repository of the configured type.

### setMetaDataRepository

    void setMetaDataRepository(MetaDataRepository mdRepos)

  The metadata repository of managed class information.

  Since:
    0.3.0

### getConnectionUserName

    String getConnectionUserName()

  The user name for the data store connection.

### setConnectionUserName

    void setConnectionUserName(String connectionUserName)

  The user name for the data store connection.

### getConnectionPassword

    String getConnectionPassword()

  The password for the data store connection.

### setConnectionPassword

    void setConnectionPassword(String connectionPassword)

  The password for the data store connection.

### getConnectionURL

    String getConnectionURL()

  The URL for the data store connection.

### setConnectionURL

    void setConnectionURL(String connectionURL)

  The URL for the data store connection.

### getConnectionDriverName

    String getConnectionDriverName()

  Class name of the connection driver.

### setConnectionDriverName

    void setConnectionDriverName(String driverName)

  Class name of the connection driver.

### getConnectionFactoryName

    String getConnectionFactoryName()

  The name for the data store connection factory.

### setConnectionFactoryName

    void setConnectionFactoryName(String cfName)

  The name for the data store connection factory.

### getConnectionFactory

    Object getConnectionFactory()

  The connection factory, possibly from JNDI.

### setConnectionFactory

    void setConnectionFactory(Object factory)

  The connection factory.

### getConnectionProperties

    String getConnectionProperties()

  These properties provide any additional information needed to establish connections.

### setConnectionProperties

    void setConnectionProperties(String props)

  These properties provide any additional information needed to establish connections.

### getConnectionFactoryProperties

    String getConnectionFactoryProperties()

  Configuration properties for the connection factory.

### setConnectionFactoryProperties

    void setConnectionFactoryProperties(String props)

  Configuration properties for the connection factory.

### getConnectionFactoryMode

    String getConnectionFactoryMode()

  The mode of the connection factory in use. Available options are:
  - local: OpenJPA controls the connections.
  - managed: Connections are automatically enlisted in the current global transaction by an application server.
  Defaults to local.

### setConnectionFactoryMode

    void setConnectionFactoryMode(String mode)

  The mode of the connection factory in use. Available options are:
  - local: OpenJPA controls the connections.
  - managed: Connections are automatically enlisted in the current global transaction by an application server.
  Defaults to local.

### isConnectionFactoryModeManaged

    boolean isConnectionFactoryModeManaged()

  Whether connections are automatically enlisted in global transactions.

### setConnectionFactoryModeManaged

    void setConnectionFactoryModeManaged(boolean managed)

  Whether connections are automatically enlisted in global transactions.

### getConnection2UserName

    String getConnection2UserName()

  The user name for the non-XA data store connection.

### setConnection2UserName

    void setConnection2UserName(String connectionUserName)

  The user name for the non-XA data store connection.

### getConnection2Password

    String getConnection2Password()

  The password for the non-XA data store connection.

### setConnection2Password

    void setConnection2Password(String connectionPassword)

  The password for the non-XA data store connection.

### getConnection2URL

    String getConnection2URL()

  The URL for the non-XA data store connection.

### setConnection2URL

    void setConnection2URL(String connectionURL)

  The URL for the non-XA data store connection.

### getConnection2DriverName

    String getConnection2DriverName()

  Class name of the non-XA connection driver.

### setConnection2DriverName

    void setConnection2DriverName(String driverName)

  Class name of the non-XA connection driver.

### getConnectionFactory2Name

    String getConnectionFactory2Name()

  The name for the second data store connection factory.

### setConnectionFactory2Name

    void setConnectionFactory2Name(String cf2Name)

  The name for the second data store connection factory.

### getConnectionFactory2

    Object getConnectionFactory2()

  The non-XA connection factory.

### setConnectionFactory2

    void setConnectionFactory2(Object factory)

  The non-XA connection factory.

### getConnection2Properties

    String getConnection2Properties()

  These properties provide any additional information needed to establish non-XA connections.

  Since:
    0.3.0

### setConnection2Properties

    void setConnection2Properties(String props)

  These properties provide any additional information needed to establish non-XA connections.

  Since:
    0.3.0

### getConnectionFactory2Properties

    String getConnectionFactory2Properties()

  Configuration properties for the non-XA connection factory.

  Since:
    0.2.5

### setConnectionFactory2Properties

    void setConnectionFactory2Properties(String props)

  Configuration properties for the non-XA connection factory.

  Since:
    0.2.5

### getOptimistic

    boolean getOptimistic()

  Whether to use optimistic transactions by default.

### setOptimistic

    void setOptimistic(boolean optimistic)

  Whether to use optimistic transactions by default.

### setOptimistic

    void setOptimistic(Boolean optimistic)

  Wrapper for JCA usage of `setOptimistic(boolean)`.

### getRetainState

    boolean getRetainState()

  Whether to retain state after a transaction by default.

### setRetainState

    void setRetainState(boolean retainState)

  Whether to retain state after a transaction by default.

### setRetainState

    void setRetainState(Boolean retainState)

  Wrapper for JCA usage of `setRetainState(boolean)`.

### getAutoClear

    String getAutoClear()

  Whether instances clear their state when entering a transaction.

### setAutoClear

    void setAutoClear(String clear)

  Whether instances clear their state when entering a transaction.

### getAutoClearConstant

    int getAutoClearConstant()

  Return the `AutoClear` constant.

### setAutoClear

    void setAutoClear(int clear)

  Whether instances clear their state when entering a transaction.

### getRestoreState

    String getRestoreState()

  Whether to restore initial state on rollback by default.

### setRestoreState

    void setRestoreState(String restoreState)

  Whether to restore initial state on rollback by default.

### getRestoreStateConstant

    int getRestoreStateConstant()

  Return the `RestoreState` constant.

### setRestoreState

    void setRestoreState(int restoreState)

  Whether to restore initial state on rollback by default.

### getIgnoreChanges

    boolean getIgnoreChanges()

  Whether changes in the current transaction are taken into account when executing queries and iterating extents.

### setIgnoreChanges

    void setIgnoreChanges(boolean ignoreChanges)

  Whether changes in the current transaction are taken into account when executing queries and iterating extents.

### setIgnoreChanges

    void setIgnoreChanges(Boolean ignoreChanges)

  Wrapper for JCA usage of `setIgnoreChanges(boolean)`.

### getAutoDetach

    String getAutoDetach()

  A comma-separated list of events which trigger auto-detachment in place of managed states. Possible values are:
  - `commit`: When the current transaction commits.
  - `close`: When the broker closes.
  - `nontx-read`: When instances are read non-transactionally.

### setAutoDetach

    void setAutoDetach(String detach)

  A comma-separated list of events which trigger auto-detachment in place of managed states. Possible values are:
  - `commit`: When the current transaction commits.
  - `close`: When the broker closes.
  - `nontx-read`: When instances are read non-transactionally.

### getAutoDetachConstant

    int getAutoDetachConstant()

  The `AutoDetach` flags.

### setAutoDetach

    void setAutoDetach(int flags)

  The `AutoDetach` flags.

### setDetachState

    void setDetachState(String detachState)

  Which field values to include when detaching.

### getDetachStateInstance

    DetachOptions getDetachStateInstance()

  Return the instance specified by the detach state plugin.

### setDetachState

    void setDetachState(DetachOptions detachState)

  Return the instance specified by the detach state plugin.

### getNontransactionalRead

    boolean getNontransactionalRead()

  Whether persistent state is accessible outside a transaction by default.

### setNontransactionalRead

    void setNontransactionalRead(boolean ntRead)

  Whether persistent state is accessible outside a transaction by default.

### setNontransactionalRead

    void setNontransactionalRead(Boolean ntRead)

  Wrapper for JCA usage of `setNontransactionalRead(boolean)`.

### getNontransactionalWrite

    boolean getNontransactionalWrite()

  Whether persistent state can be modified outside a transaction by default.

### setNontransactionalWrite

    void setNontransactionalWrite(boolean ntWrite)

  Whether persistent state can be modified outside a transaction by default.

### setNontransactionalWrite

    void setNontransactionalWrite(Boolean ntWrite)

  Wrapper for JCA usage of `setNontransactionalWrite(boolean)`.

### getMultithreaded

    boolean getMultithreaded()

  Whether brokers or their managed objects will be used by multiple concurrent threads.

### setMultithreaded

    void setMultithreaded(boolean multithreaded)

  Whether brokers or their managed objects will be used by multiple concurrent threads.

### setMultithreaded

    void setMultithreaded(Boolean multithreaded)

  Wrapper for JCA usage of `setMultithreaded(boolean)`.

### getFetchBatchSize

    int getFetchBatchSize()

  Get the size of the batch that will be pre-selected when accessing elements in a query or relationship. Use -1 to prefetch all results.

### setFetchBatchSize

    void setFetchBatchSize(int size)

  Set the size of the batch that will be pre-selected when accessing elements in a query or relationship. Use -1 to prefetch all results.

### setFetchBatchSize

    void setFetchBatchSize(Integer size)

  Wrapper for JCA usage of `setFetchBatchSize(int)`.

### getMaxFetchDepth

    int getMaxFetchDepth()

  The maximum relation depth to traverse when eager fetching. Use -1 for no limit.

### setMaxFetchDepth

    void setMaxFetchDepth(int depth)

  The maximum relation depth to traverse when eager fetching. Use -1 for no limit.

### setMaxFetchDepth

    void setMaxFetchDepth(Integer size)

  Wrapper for JCA usage of `setMaxFetchDepth(int)`.

### getFetchGroups

    String getFetchGroups()

  Comma-separated list of fetch group names that will be pre-set for all new `FetchConfiguration`s.

  Since:
    0.2.5

### setFetchGroups

    void setFetchGroups(String groups)

  Comma-separated list of fetch group names that will be pre-set for all new `FetchConfiguration`s.

  Since:
    0.2.5

### getFetchGroupsList

    String[] getFetchGroupsList()

  List of fetch group names that will be pre-set for all new `FetchConfiguration`s.

### setFetchGroups

    void setFetchGroups(String[] names)

  List of fetch group names that will be pre-set for all new `FetchConfiguration`s.

### getFlushBeforeQueries

    String getFlushBeforeQueries()

  Returns whether or not OpenJPA should automatically flush modifications to the data store before executing queries.

  Since:
    0.2.5

### setFlushBeforeQueries

    void setFlushBeforeQueries(String flush)

  Sets whether or not OpenJPA should automatically flush modifications to the data store before executing queries.

  Since:
    0.2.5

### getFlushBeforeQueriesConstant

    int getFlushBeforeQueriesConstant()

  Returns one of `QueryFlushModes.FLUSH_TRUE`, `QueryFlushModes.FLUSH_FALSE`, or `QueryFlushModes.FLUSH_WITH_CONNECTION`, as determined by parsing the string returned by `getFlushBeforeQueries()`.

  Since:
    0.2.5

### setFlushBeforeQueries

    void setFlushBeforeQueries(int flushBeforeQueries)

  Set to one of `QueryFlushModes.FLUSH_TRUE`, `QueryFlushModes.FLUSH_FALSE`, or `QueryFlushModes.FLUSH_WITH_CONNECTION`.

  Since:
    0.2.5

### getLockTimeout

    int getLockTimeout()

  The time to wait for an object lock in milliseconds, or -1 for no timeout.

  Since:
    0.3.1

### setLockTimeout

    void setLockTimeout(int timeout)

  The time to wait for an object lock in milliseconds, or -1 for no timeout.

  Since:
    0.3.1

### setLockTimeout

    void setLockTimeout(Integer timeout)

  Wrapper for JCA usage of `setLockTimeout(int)`.

  Since:
    0.3.1

### getReadLockLevel

    String getReadLockLevel()

  The default read lock level to use during non-optimistic transactions. Defaults to `read`.

  Since:
    0.3.1

### setReadLockLevel

    void setReadLockLevel(String level)

  The default read lock level to use during non-optimistic transactions. Defaults to `read`.

  Since:
    0.3.1

### getReadLockLevelConstant

    int getReadLockLevelConstant()

  The numeric read lock level.

  Since:
    0.3.1

### setReadLockLevel

    void setReadLockLevel(int level)

  The numeric read lock level.

  Since:
    0.3.1

### getWriteLockLevel

    String getWriteLockLevel()

  The default write lock level to use during non-optimistic transactions. Defaults to `write`.

  Since:
    0.3.1

### setWriteLockLevel

    void setWriteLockLevel(String level)

  The default write lock level to use during non-optimistic transactions. Defaults to `write`.

  Since:
    0.3.1

### getWriteLockLevelConstant

    int getWriteLockLevelConstant()

  The numeric write lock level.

  Since:
    0.3.1

### setWriteLockLevel

    void setWriteLockLevel(int level)

  The numeric write lock level.

  Since:
    0.3.1

### getSequence

    String getSequence()

  Plugin string for the default system `Seq`.

### setSequence

    void setSequence(String sequence)

  Plugin string for the default system `Seq`.

### getSequenceInstance

    Seq getSequenceInstance()

  The default system sequence.

### setSequence

    void setSequence(Seq sequence)

  The default system sequence.

### getConnectionRetainMode

    String getConnectionRetainMode()

  Specifies the behavior of the broker with respect to data store connections. Possible values are:
  - `always`: Each broker obtains a single connection and uses it until the broker is closed.
  - `transaction`: A connection is obtained when each transaction begins (optimistic or datastore), and is released when the transaction completes.
  - `on-demand`: Connections are obtained only when needed. This is the default mode. It is equivalent to the previous option when datastore transactions are used. For optimistic transactions, though, it means that a connection will be retained only for the duration of the data store commit process.

  Since:
    0.2.5

### setConnectionRetainMode

    void setConnectionRetainMode(String mode)

  Specifies the behavior of the broker with respect to data store connections. Possible values are:
  - `always`: Each broker obtains a single connection and uses it until the broker is closed.
  - `transaction`: A connection is obtained when each transaction begins (optimistic or datastore), and is released when the transaction completes.
  - `on-demand`: Connections are obtained only when needed. This is the default mode. It is equivalent to the previous option when datastore transactions are used. For optimistic transactions, though, it means that a connection will be retained only for the duration of the data store commit process.

  Since:
    0.2.5

### getConnectionRetainModeConstant

    int getConnectionRetainModeConstant()

  Return the connection retain mode as one of the following symbolic constants:
  - `ConnectionRetainModes.CONN_RETAIN_ALWAYS`
  - `ConnectionRetainModes.CONN_RETAIN_TRANS`
  - `ConnectionRetainModes.CONN_RETAIN_DEMAND`

### setConnectionRetainMode

    void setConnectionRetainMode(int mode)

  Set the connection retain mode as one of the following symbolic constants:
  - `ConnectionRetainModes.CONN_RETAIN_ALWAYS`
  - `ConnectionRetainModes.CONN_RETAIN_TRANS`
  - `ConnectionRetainModes.CONN_RETAIN_DEMAND`

### getFilterListeners

    String getFilterListeners()

  A comma-separted list of the plugin strings of the query `FilterListener`s to use.

### setFilterListeners

    void setFilterListeners(String listeners)

  A comma-separted list of the plugin strings of the query `FilterListener`s to use.

### getFilterListenerInstances

    FilterListener[] getFilterListenerInstances()

  Return the query filter listeners. If none have been set explicitly, this method instantiates the listeners from the set plugin list.

### setFilterListeners

    void setFilterListeners(FilterListener[] listeners)

  Set the query filter listeners. Overrides the list of listener classes.

### getAggregateListeners

    String getAggregateListeners()

  A comma-separted list of the plugin strings of the query `AggregateListener`s to use.

### setAggregateListeners

    void setAggregateListeners(String listeners)

  A comma-separted list of the plugin strings of the query `AggregateListener`s to use.

### getAggregateListenerInstances

    AggregateListener[] getAggregateListenerInstances()

  Return the query function listeners. If none have been set explicitly, this method instantiates the listeners from the set plugin list.

### setAggregateListeners

    void setAggregateListeners(AggregateListener[] listeners)

  Set the query function listeners. Overrides the list of listener classes.

### getRetryClassRegistration

    boolean getRetryClassRegistration()

  Whether to warn and defer registration instead of throwing an exception when a registered persistent class cannot be processed. Should only be set to true in complex classloader topologies. Defaults to `false`.

  Since:
    0.3.2.3

### setRetryClassRegistration

    void setRetryClassRegistration(boolean warn)

  Whether to warn and defer registration instead of throwing an exception when a registered persistent class cannot be processed. Should only be set to true in complex classloader topologies. Defaults to `false`.

  Since:
    0.3.2.3

### setRetryClassRegistration

    void setRetryClassRegistration(Boolean warn)

  Wrapper for JCA usage of `setRetryClassRegistration(boolean)`.

  Since:
    0.3.2.3

### getCompatibility

    String getCompatibility()

  Backwards compatibility options.

### setCompatibility

    void setCompatibility(String compatibility)

  Backwards compatibility options.

### getCompatibilityInstance

    Compatibility getCompatibilityInstance()

  Backwards compatibility options.

### getStoreFacadeTypeRegistry

    StoreFacadeTypeRegistry getStoreFacadeTypeRegistry()

  Return the `StoreFacadeTypeRegistry` instance associated with this configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.